PETSc version 3.15.5
Fix/Edit manual page

# DMStagGetGlobalSizes

get global element counts

### Synopsis

    PetscErrorCode DMStagGetGlobalSizes(DM dm,PetscInt* M,PetscInt* N,PetscInt* P)

Not Collective

### Input Parameter

| dm | - the DMStag object

### Output Parameters

| M,N,P | - global element counts in each direction

### Notes

Arguments corresponding to higher dimensions are ignored for 1D and 2D grids. These arguments may be set to NULL in this case.

### See Also

DMSTAG, DMStagGetLocalSizes(), DMDAGetInfo()

### Level

beginner

### Location

src/dm/impls/stag/stagutils.c

### Examples

src/dm/impls/stag/tutorials/ex2.c.html
src/dm/impls/stag/tutorials/ex3.c.html
src/dm/impls/stag/tutorials/ex4.c.html
src/dm/impls/stag/tutorials/ex6.c.html
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages